TYPOS3 Core - Task #86077
Epic # 84726 (Closed): Initiative: URL Routing Integration / Site Handling
Epic # 84728 (Closed): Introduce speaking URLs for pages
Epic # 84729 (Closed): Implement "slug" handling for pages and other records
Add recreate button to slug field
2018-09-01 23:15 - Christian Kuhn

Status: Closed Start date: 2018-09-01
Priority: Should have Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

TYPO3 Version: 9 Complexity:

PHP Version: Sprint Focus:

Tags:

Description

Related issues:

Related to TYPO3 Core - Bug #86190: URL recalculation does not trigger change... Closed 2018-09-07

Associated revisions

Revision a96ca474 - 2018-09-01 23:51 - Christian Kuhn
[TASK] Add recreate button to slug field

Adds a second button next to the 'manually edit slug' button
in pages: If the title is changed, this button can be used
to recalculate a new slug from the changed title.

Resolves: #86077

Releases: master

Change-1d: 1862413423cefa1f391321f6d5e5¢c3d5dba68397e
Reviewed-on: https://review.typo3.org/58119

Tested-by: TYPO3com <no-reply@typo3.com>

Tested-by: Kevin Appelt <kevin.appelt@icloud.com>
Reviewed-by: Susanne Moog <susanne.moog@typo3.org>
Tested-by: Susanne Moog <susanne.moog@typo3.org>
Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>
Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Revision 1232e775 - 2018-09-07 17:50 - Andreas Fernandez
[BUGFIX] Trigger “change’ event after calculating slug

When the slug is calculated by using the according button, the “event’ is
now triggered to let the user know that the field value has changes and
to invoke the "You have unsaved changes" modal when closing the form.

Resolves: #86190

Related: #86077

Releases: master

Change-Id: 16eb4e11252562f53e637e3a1abdd7b02a8f73a5a
Reviewed-on: https://review.typo3.0rg/58218

Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>
Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>
Reviewed-by: rolandgolla <rolandgolla@gmail.com>
Tested-by: rolandgolla <rolandgolla@gmail.com>

Tested-by: TYPO3com <no-reply@typo3.com>

Reviewed-by: Richard Haeser <richard@maxserv.com>
Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>
History

#1 - 2018-09-01 23:17 - Christian Kuhn
- Parent task set to #84729

#2 - 2018-09-01 23:18 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/58119

#3 - 2018-09-02 00:00 - Christian Kuhn
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset a96ca474a7d8447939077f9201b3e426f96ea2a7.

#4 - 2018-09-07 16:41 - Andreas Fernandez
- Related to Bug #86190: URL recalculation does not trigger change event added

#5 - 2018-10-02 10:28 - Benni Mack

- Status changed from Resolved to Closed

2021-09-27 22


https://review.typo3.org/58119
https://forge.typo3.org/projects/typo3cms-core/repository/1749/revisions/a96ca474a7d8447939077f9201b3e426f96ea2a7
http://www.tcpdf.org

